Summary: AFS related tools
Name: afs_tools
Version: 1.08
Release: 1.cern
Source: %{name}-%{version}.tgz
License: (C) ASIS, GPL.
Group: Applications/System
Requires: cern-wrappers
Packager: Arne Wiebalck <arne.wiebalck@cern.ch>
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description 

This is a set of tools around AFS management tasks:
     * afind     : restricted find with AFS modifications
     * afs_admin : administration tool for project space administrators
     * k5reauth  : periodically refresh Kerberos5 and AFS credentials

%prep
%setup -q 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 src/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm src/*.1
install -m 755 src/*   $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%{_bindir}/aexec
#%{_mandir}/man1/aexec.1*
#%{_bindir}/ksu
#%{_mandir}/man1/ksu.1*
#%{_bindir}/reauth
#%{_mandir}/man1/reauth.1*
%{_bindir}/afs_admin
%{_mandir}/man1/afs_admin.1*
%{_bindir}/afind
%{_mandir}/man1/afind.1*
%{_bindir}/acopy
%{_mandir}/man1/acopy.1*
%{_bindir}/k5reauth
%{_mandir}/man1/k5reauth.1*


%changelog
* Thu Jan 20 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.08
- for SLC6, removed obsolete utilities.

* Thu May 13 2008 Arne Wiebalck <arne.wiebalck@cern.ch> 1.07-1.cern
- added k5reauth
- added deprecation warning to aexec, reauth and ksu

* Tue Jan 29 2008 bja
- new base with old patches integrated
- remove ksu
- fix some bugs

* Mon Jun 20 2005  Jan Iven <jan.iven@cern.ch> 1.06-8.cern
- looks also for "reauth.pl", and check for -x
- install man pages into correct location

* Tue Feb  1 2005  Andras Horvath <Andras.Horvath@cern.ch>
- minor fix to afs_admin

* Tue Jul  6 2004  Jan Iven <jan.iven@cern.ch>
- Import from ASIS, fixed pathes
